跳转到内容

执行 AI 面部色调分析器 任务。

请求

本接口用于发起 AI 面部色调分析器流程。您需要提供源文件(URL 或文件 ID),并可选指定脸部角度的严格程度。任务会异步处理,您可以使用本响应返回的 task_id 查询其状态。

安全
BearerAuthenticationV2
正文application/json必需
Any of:
face_angle_strictness_levelstring(BasicFaceAttrReqFaceAngleStrictnessLevel)

脸部角度检测的严格程度(俯仰角 pitch、偏航角 yaw、翻滚角 roll)。 要求越严格,五官分析结果越准确。 默认为 'high'。 可选值:

  • strict:pitch <= 4 度,yaw <= 6 度,roll <= 4 度
  • high:pitch、yaw、roll <= 10 度
  • medium:pitch、yaw、roll <= 15 度
  • low:pitch、yaw、roll <= 20 度
  • flexible:pitch、yaw、roll <= 30 度
Enum:"strict""high""medium""low""flexible"
示例:"high"
src_file_urlstring必需

用于运行任务的文件 URL,该 URL 需可公开访问。

示例:"https://example.com/selfie.jpg"
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/skin-tone-analysis \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "face_angle_strictness_level": "high"
  }'

响应

任务执行成功

正文application/json
statusinteger

响应状态

示例:200
dataobject
响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }